#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 27 January 2006                                                     *
#                                                                            *
#*****************************************************************************

CFLAGS=/nowarn/define=("ALPHA=1")/name=(as_is,short)/float=ieee/incl=([])

OBJS=Xrender.obj,Color.obj,Composite.obj,Cursor.obj,Glyph.obj,Picture.obj,\
	FillRect.obj,FillRects.obj,Filter.obj,Poly.obj,Trap.obj,Tri.obj

all : $(OBJS)
	library/create libXrender.olb $(OBJS)
	$(MMS)$(MMSQUALIFIERS) libXrender.exe

libXrender.exe : libXrender.olb vmslib.opt
	@ WRITE_ SYS$OUTPUT "  generating libXrender.opt"
	@ library/extract=* libXrender
	@ OPEN_/WRITE FILE  libXrender.opt
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "! libXrender.opt generated by DESCRIP.$(MMS_EXT)" 
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "IDENTIFICATION=""libXrender"""
	@ WRITE_ FILE "GSMATCH=LEQUAL,1,0
	@ WRITE_ FILE "libXrender.obj"
	@ CLOSE_ FILE
	@ $(MMS)$(MMSQUALIFIERS)/ignore=warning Xrender_vms
	@ WRITE_ SYS$OUTPUT "  linking libXrender.exe ..."
	@ LINK_/NODEB/SHARE=libXrender.exe/MAP=libXrender.map/FULL libXrender.opt/opt,Xrender_vms.opt/opt,vmslib.opt/opt
	@ delete libXrender.obj;*

Xrender_vms :
	@ WRITE_ SYS$OUTPUT "  generating libXrender.map ..."
	@ LINK_/NODEB/NOSHARE/NOEXE/MAP=libXrender.map/FULL libXrender.opt/OPT
	@ WRITE_ SYS$OUTPUT "  analyzing excel.map ..."
	@ @ANALYZE_MAP.COM libXrender.map Xrender_vms.opt

$(OBJS) : config.h

Xrender.obj : Xrender.c Xrenderint.timestamp Xrender.timestamp
Color.obj : Color.c Xrenderint.timestamp Xrender.timestamp
Composite.obj : Composite.c Xrenderint.timestamp Xrender.timestamp
Cursor.obj : Cursor.c Xrenderint.timestamp Xrender.timestamp
Glyph.obj : Glyph.c Xrenderint.timestamp Xrender.timestamp
Picture.obj : Picture.c Xrenderint.timestamp Xrender.timestamp region.h
FillRect.obj : FillRect.c Xrenderint.timestamp Xrender.timestamp
FillRects.obj : FillRects.c Xrenderint.timestamp Xrender.timestamp
Filter.obj : Filter.c Xrenderint.timestamp Xrender.timestamp
Poly.obj : Poly.c Xrenderint.timestamp Xrender.timestamp
Trap.obj : Trap.c Xrenderint.timestamp Xrender.timestamp
Tri.obj : Tri.c Xrenderint.timestamp Xrender.timestamp

Xrenderint.timestamp : Xrenderint.h
        pipe gsed -e "s/X11\/extensions/X11/" Xrenderint.h > Xrenderint.timestamp
        set file/enter=Xrenderint.h Xrenderint.timestamp

Xrender.timestamp : Xrender.h
        pipe gsed -e "s/X11\/extensions/X11/" Xrender.h > Xrender.timestamp
        set file/enter=Xrender.h Xrender.timestamp

config.h : config.h_vms
	copy config.h_vms config.h
